import java.util.*;

public class Fifo {
  public static void main(String[] args) {
    Scanner scan = new Scanner(System.in);
    int[] cache = new int[scan.nextInt()];
    for (int i = 0; i < cache.length; ++i) cache[i] = -1; // must not be in input
    int cache_pos = 0;
    Set<Integer> cacheSet = new HashSet<>();
    int N = scan.nextInt();
    int faults = 0;
    for (int i = 0; i < N; ++i) {
      int x = scan.nextInt();
      if (cacheSet.contains(x)) continue;
      ++faults;
      cacheSet.remove(cache[cache_pos]);
      cache[cache_pos] = x;
      cacheSet.add(x);
      cache_pos = (cache_pos + 1) % cache.length;
    }
    System.out.printf("%d\n", faults);
  }
}

